package edu.uncc.grid.example.workpool;

import java.io.IOException;

import net.jxta.pipe.PipeID;
import edu.uncc.grid.pgaf.Anchor;
import edu.uncc.grid.pgaf.Operand;
import edu.uncc.grid.pgaf.Seeds;
import edu.uncc.grid.pgaf.p2p.Types;

public class RunMonteCarloPiModule {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			long start = System.currentTimeMillis();
			
			Seeds.start( args[0] , false);
			
			MonteCarloPiModule pi = new MonteCarloPiModule();
			PipeID id = Seeds.startPattern( new Operand( (String[])null, new Anchor( args[1]  , Types.DataFlowRoll.SINK_SOURCE), pi ) );
			
			Seeds.waitOnPattern(id);
			
			Seeds.stop();
			
			long stop = System.currentTimeMillis();
			
			System.out.println( "The result is: " + pi.getPi() ) ;
			System.out.println("Execution time = " + (double) (stop - start) / 1000.0 + " ms");

		} catch (SecurityException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} catch (Exception e) {
			e.printStackTrace();
		}

	}

}
